Main Page | Modules | Data Structures | File List | Data Fields | Globals | Related Pages

# pcap_rmtauth Struct Reference
[Exported Structures and Definitions]

This structure keeps the information needed to autheticate the user on a remote machine. More...

`#include <remote-ext.h>`

## Data Fields
int | type
| Type of the authentication required.
char * | username
| Zero-terminated string containing the username that has to be used on the remote machine for authentication.
char * | password
| Zero-terminated string containing the password that has to be used on the remote machine for authentication.

## Detailed Description

This structure keeps the information needed to autheticate the user on a remote machine.

The remote machine can either grant or refuse the access according to the information provided. In case the NULL authentication is required, both 'username' and 'password' can be NULL pointers.

This structure is meaningless if the source is not a remote interface; in that case, the functions which requires such a structure can accept a NULL pointer as well.

Definition at line 311 of file remote-ext.h.

## Field Documentation

char* password

| Zero-terminated string containing the password that has to be used on the remote machine for authentication. This field is meaningless in case of the RPCAP_RMTAUTH_NULL authentication and it can be NULL. Definition at line 338 of file remote-ext.h. Referenced by rpcap_sendauth().

int type

| Type of the authentication required. In order to provide maximum flexibility, we can support different types of authentication based on the value of this 'type' variable. The currently supported authentication methods are defined into the Remote Authentication Methods Section. Definition at line 322 of file remote-ext.h. Referenced by rpcap_sendauth().

char* username

| Zero-terminated string containing the username that has to be used on the remote machine for authentication. This field is meaningless in case of the RPCAP_RMTAUTH_NULL authentication and it can be NULL. Definition at line 330 of file remote-ext.h. Referenced by rpcap_sendauth().

The documentation for this struct was generated from the following file:

- remote-ext.h

documentation. Copyright (c) 2002-2003 Politecnico di Torino. All rights reserved.